Bug 1027507 - [abrt] gnome-initial-setup-3.10.1.1-2.fc20: magazine_chain_pop_head: Process /usr/libexec/gnome-initial-setup was killed by signal 11 (SIGSEGV)
[abrt] gnome-initial-setup-3.10.1.1-2.fc20: magazine_chain_pop_head: Process ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bf3b3e6e1b76dc71231e977de4f...
: CommonBugs
Depends On:
Blocks: F20FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-11-06 19:52 EST by Ankur Sinha (FranciscoD)
Modified: 2013-12-10 01:55 EST (History)
8 users (show)

See Also:
Fixed In Version: gnome-initial-setup-3.10.1.1-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 01:55:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.90 KB, text/plain)
2013-11-06 19:52 EST, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-06 19:52 EST, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (36.75 KB, text/plain)
2013-11-06 19:52 EST, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (29.30 KB, text/plain)
2013-11-06 19:53 EST, Ankur Sinha (FranciscoD)
no flags Details
File: environ (1.45 KB, text/plain)
2013-11-06 19:53 EST, Ankur Sinha (FranciscoD)
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-06 19:53 EST, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 19:53 EST, Ankur Sinha (FranciscoD)
no flags Details
File: maps (109.60 KB, text/plain)
2013-11-06 19:53 EST, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (1.62 KB, text/plain)
2013-11-06 19:53 EST, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-11-06 19:53 EST, Ankur Sinha (FranciscoD)
no flags Details
File: var_log_messages (219 bytes, text/plain)
2013-11-06 19:53 EST, Ankur Sinha (FranciscoD)
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 711641 None None None Never

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-11-06 19:52:42 EST
Description of problem:
Testing initial-setup with a new user. The dialog box to add accounts comes up fine. I selected facebook, didn't enter any details and clicked cancel. At this time, it crashed. 

Going to create another account and confirm this behaviour.

Version-Release number of selected component:
gnome-initial-setup-3.10.1.1-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-initial-setup
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/gnome-initial-setup
kernel:         3.11.6-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 thread_memory_magazine1_alloc at gslice.c:848
 #2 g_slice_alloc at gslice.c:1007
 #3 g_slist_prepend at gslist.c:267
 #4 prepend_and_ref_widget at gtktooltip.c:707
 #5 gtk_grid_forall at gtkgrid.c:546
 #6 child_location_foreach at gtktooltip.c:763
 #11 gtk_window_forall at gtkwindow.c:7611
 #12 _gtk_widget_find_at_coords at gtktooltip.c:894
 #13 find_topmost_widget_coords_from_event at gtktooltip.c:937
Comment 1 Ankur Sinha (FranciscoD) 2013-11-06 19:52:50 EST
Created attachment 820798 [details]
File: backtrace
Comment 2 Ankur Sinha (FranciscoD) 2013-11-06 19:52:53 EST
Created attachment 820799 [details]
File: cgroup
Comment 3 Ankur Sinha (FranciscoD) 2013-11-06 19:52:57 EST
Created attachment 820800 [details]
File: core_backtrace
Comment 4 Ankur Sinha (FranciscoD) 2013-11-06 19:53:01 EST
Created attachment 820801 [details]
File: dso_list
Comment 5 Ankur Sinha (FranciscoD) 2013-11-06 19:53:05 EST
Created attachment 820802 [details]
File: environ
Comment 6 Ankur Sinha (FranciscoD) 2013-11-06 19:53:08 EST
Created attachment 820803 [details]
File: exploitable
Comment 7 Ankur Sinha (FranciscoD) 2013-11-06 19:53:12 EST
Created attachment 820804 [details]
File: limits
Comment 8 Ankur Sinha (FranciscoD) 2013-11-06 19:53:17 EST
Created attachment 820805 [details]
File: maps
Comment 9 Ankur Sinha (FranciscoD) 2013-11-06 19:53:20 EST
Created attachment 820806 [details]
File: open_fds
Comment 10 Ankur Sinha (FranciscoD) 2013-11-06 19:53:24 EST
Created attachment 820807 [details]
File: proc_pid_status
Comment 11 Ankur Sinha (FranciscoD) 2013-11-06 19:53:27 EST
Created attachment 820808 [details]
File: var_log_messages
Comment 12 Ankur Sinha (FranciscoD) 2013-11-06 20:06:19 EST
Reproduced this again. Steps:

- Create new user
- Logout and in as new user
- in g-i-s, reach "add accounts" step
- Click "add"
- Select owncloud/facebook/flickr/windows-live/exchange/other (anything other than google apparently)
- Do nothing, click cancel
- Accounts list dialog disappears and g-i-s crashes
Comment 13 satellitgo 2013-11-06 20:57:29 EST
seen in f20 live RC5 desktop x86_64 also
(D/L from Koji)
In VirtualBox install  after reboot and in g-i-s; clicked on add account (facebook) then [cancel] button
got same error and behavior
Comment 14 satellitgo 2013-11-06 21:04:24 EST
on power off/reboot; login  g-i-s reappears and finishes. No damage seems to have occurred to install
Comment 15 Adam Williamson 2013-11-07 17:14:37 EST
Has this been filed upstream? If not, can someone do so? It's usually a good idea for GNOME bugs.
Comment 16 Ankur Sinha (FranciscoD) 2013-11-07 17:57:52 EST
Filed.
Comment 17 Antoine Cotten 2013-11-12 15:37:04 EST
During the Gnome initial setup process, on the Online Accounts page, click the "Add account" button and Cancel without adding any account. This will kill the gnome-initial-setup process.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-initial-setup
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/gnome-initial-setup
kernel:         3.11.7-300.fc20.x86_64
package:        gnome-initial-setup-3.10.1.1-2.fc20
reason:         Process /usr/libexec/gnome-initial-setup was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Adam Williamson 2013-11-27 22:51:15 EST
This has been fixed upstream, but the fix has not made it downstream, I don't believe. It would be nice if it could. Proposing as a Final freeze exception (initial-setup bugs can't be fixed post-release, naturally).
Comment 19 Adam Williamson 2013-11-27 23:31:30 EST
FWIW, I found a different way to hit this crash, described in https://bugzilla.gnome.org/show_bug.cgi?id=719458 .
Comment 20 Fedora Update System 2013-11-28 14:45:50 EST
gnome-initial-setup-3.10.1.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-initial-setup-3.10.1.1-3.fc20
Comment 21 lnie 2013-11-28 21:38:45 EST
3.10.1.1-3.fc20 works fine
Comment 22 Fedora Update System 2013-11-29 11:05:07 EST
Package gnome-initial-setup-3.10.1.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-initial-setup-3.10.1.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22407/gnome-initial-setup-3.10.1.1-3.fc20
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2013-11-29 13:22:34 EST
gnome-initial-setup-3.10.1.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-initial-setup-3.10.1.1-4.fc20
Comment 24 Adam Williamson 2013-12-02 14:05:35 EST
Discussed at 2013-12-02 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-12-02/f20-blocker-review-%234.2013-12-02-17.02.log.txt . Accepted as a freeze exception issue as a bug that obviously can't be easily fixed post-install, gives a bad user experience, and is relatively easy to hit.
Comment 25 Fedora Update System 2013-12-10 01:55:50 EST
gnome-initial-setup-3.10.1.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.